#ifndef SBK_KToolBarLabelActionWrapper_H
#define SBK_KToolBarLabelActionWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <ktoolbarlabelaction.h>

namespace PySide { class DynamicQMetaObject; }

class KToolBarLabelActionWrapper : public KToolBarLabelAction
{
public:
    KToolBarLabelActionWrapper(const KToolBarLabelActionWrapper &) = delete;
    KToolBarLabelActionWrapper& operator=(const KToolBarLabelActionWrapper &) = delete;
    KToolBarLabelActionWrapper(KToolBarLabelActionWrapper &&) = delete;
    KToolBarLabelActionWrapper& operator=(KToolBarLabelActionWrapper &&) = delete;

    KToolBarLabelActionWrapper(::QAction * buddy, const ::QString & text, ::QObject * parent);
    KToolBarLabelActionWrapper(const ::QString & text, ::QObject * parent);
    void childEvent(::QChildEvent * event) override;
    void connectNotify(const ::QMetaMethod & signal) override;
    ::QWidget * createWidget(::QWidget * parent) override;
    void customEvent(::QEvent * event) override;
    void deleteWidget(::QWidget * widget) override;
    void disconnectNotify(const ::QMetaMethod & signal) override;
    bool event(::QEvent * arg__1) override;
    bool eventFilter(::QObject * watched, ::QEvent * event) override;
    void timerEvent(::QTimerEvent * event) override;
    ~KToolBarLabelActionWrapper() override;

    const ::QMetaObject * metaObject() const override;
    int qt_metacall(QMetaObject::Call call, int id, void **args) override;
    void *qt_metacast(const char *_clname) override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[9] = {false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KToolBarLabelActionWrapper_H

