#ifndef SBK_KMessageBoxNotifyInterfaceWrapper_H
#define SBK_KMessageBoxNotifyInterfaceWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kmessageboxnotifyinterface.h>

class KMessageBoxNotifyInterfaceWrapper : public KMessageBoxNotifyInterface
{
public:
    KMessageBoxNotifyInterfaceWrapper(const KMessageBoxNotifyInterfaceWrapper &) = delete;
    KMessageBoxNotifyInterfaceWrapper& operator=(const KMessageBoxNotifyInterfaceWrapper &) = delete;
    KMessageBoxNotifyInterfaceWrapper(KMessageBoxNotifyInterfaceWrapper &&) = delete;
    KMessageBoxNotifyInterfaceWrapper& operator=(KMessageBoxNotifyInterfaceWrapper &&) = delete;

    KMessageBoxNotifyInterfaceWrapper();
    void sendNotification(::QMessageBox::Icon notificationType, const ::QString & message, ::QWidget * parent) override;
    ~KMessageBoxNotifyInterfaceWrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[1] = {false};
};

#endif // SBK_KMessageBoxNotifyInterfaceWrapper_H

