#ifndef SBK_KTwoFingerTapRecognizerWrapper_H
#define SBK_KTwoFingerTapRecognizerWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <ktwofingertap.h>

class KTwoFingerTapRecognizerWrapper : public KTwoFingerTapRecognizer
{
public:
    KTwoFingerTapRecognizerWrapper(const KTwoFingerTapRecognizerWrapper &) = delete;
    KTwoFingerTapRecognizerWrapper& operator=(const KTwoFingerTapRecognizerWrapper &) = delete;
    KTwoFingerTapRecognizerWrapper(KTwoFingerTapRecognizerWrapper &&) = delete;
    KTwoFingerTapRecognizerWrapper& operator=(KTwoFingerTapRecognizerWrapper &&) = delete;

    KTwoFingerTapRecognizerWrapper();
    ::QGesture * create(::QObject * target) override;
    ::QFlags<QGestureRecognizer::ResultFlag> recognize(::QGesture * gesture, ::QObject * watched, ::QEvent * event) override;
    void reset(::QGesture * state) override;
    ~KTwoFingerTapRecognizerWrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[3] = {false, false, false};
};

#endif // SBK_KTwoFingerTapRecognizerWrapper_H

